Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style.event
Interface GraphicStyleEvent

    public interface GraphicStyleEvent

Event that contains information about a modification to a `GraphicStyle` object. Each event object contains an array of strings denoting which properties have changed.

Method Summary
`GraphicStyle` | `getGraphicStyle()` Returns the style whose property or properties changed.
`Object[]` | `getNewValues()` Returns an array that lists the new values of properties that changed.
`Object[]` | `getOldValues()` Returns an array that lists the previous values of properties that changed.
`String[]` | `getProperties()` Returns an array naming each of the properties that changed.

Method Detail

### getGraphicStyle

    GraphicStyle getGraphicStyle()

  Returns the style whose property or properties changed.

### getProperties

    String[] getProperties()

  Returns an array naming each of the properties that changed. This may be null if an unknown number of the properties changed.

### getOldValues

    Object[] getOldValues()

  Returns an array that lists the previous values of properties that changed. This may be null if an unknown number of the properties changed. The value at a given index in the array corresponds with the property named at the same index in the array returned by getProperties.

### getNewValues

    Object[] getNewValues()

  Returns an array that lists the new values of properties that changed. This may be null if an unknown number of the properties changed. The value at a given index in the array corresponds with the property named at the same index in the array returned by getProperties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.